import {WeaTools} from 'ecCom';

export const getOutterSysList = params => {
    return WeaTools.callApi('/api/integration/Outter/getOutterSysList', 'POST', params);
};
export const getOutterSysShareList = params => {
    return WeaTools.callApi('/api/integration/Outter/getOutterSysShareList', 'POST', params);
};
export const getOutterEncryptList = params => {
    return WeaTools.callApi('/api/integration/Outter/getOutterEncryptList', 'POST', params);
};
export const getOutterSysRightMenu = params => {
    return WeaTools.callApi('/api/integration/Outter/getOutterSysRightMenu', 'POST', params);
};
export const getOutterEncryptRightMenu = params => {
    return WeaTools.callApi('/api/integration/Outter/getOutterEncryptRightMenu', 'POST', params);
};
export const getOutterSysNewForm = params => {
    return WeaTools.callApi('/api/integration/Outter/getOutterSysNewForm', 'POST', params);
};
export const getOutterSysIpAddressOperates = params => {
    return WeaTools.callApi('/api/integration/Outter/getOutterSysIpAddressOperates', 'POST', params);
};
export const getOutterSysTypeNameOperates = params => {
    return WeaTools.callApi('/api/integration/Outter/getOutterSysTypeNameOperates', 'POST', params);
};
export const getOutterSysEncryptTypeOperates = params => {
    return WeaTools.callApi('/api/integration/Outter/getOutterSysEncryptTypeOperates', 'POST', params);
};
export const getOutterSysEncryptClassOperates = params => {
    return WeaTools.callApi('/api/integration/Outter/getOutterSysEncryptClassOperates', 'POST', params);
};
export const getOutterSysIsNeedPwdAndIv = params => {
    return WeaTools.callApi('/api/integration/Outter/getOutterSysIsNeedPwdAndIv', 'POST', params);
};
export const getOutterSysDefaultEntranceUrl = params => {
    return WeaTools.callApi('/api/integration/Outter/getOutterSysDefaultEntranceUrl', 'POST', params);
};
export const getOutterSysShowOrder = params => {
    return WeaTools.callApi('/api/integration/Outter/getOutterSysShowOrder', 'POST', params);
};
export const operateOutterEncrypt = params => {
    return WeaTools.callApi('/api/integration/Outter/operateOutterEncrypt', 'POST', params);
}; 
export const getOutterEncryptEditForm = params => {
    return WeaTools.callApi('/api/integration/Outter/getOutterEncryptEditForm', 'POST', params);
};
export const getOutterEncryptClassTestForm = params => {
    return WeaTools.callApi('/api/integration/Outter/getOutterEncryptClassTestForm', 'POST', params);
};
export const GetCustomEncryptClass = params => {
    return WeaTools.callApi('/api/integration/Outter/GetCustomEncryptClass', 'POST', params);
};
export const operateOutterSys = params => {
    return WeaTools.callApi('/api/integration/Outter/operateOutterSys', 'POST', params);
};
export const getOutterSysEditForm = params => {
    return WeaTools.callApi('/api/integration/Outter/getOutterSysEditForm', 'POST', params);
};